> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scan Representation



## OpenAPI

````yaml /api-reference/openapi.json get /api/scans/{scan_id}/representation
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/scans/{scan_id}/representation:
    get:
      tags:
        - api
      summary: Get Scan Representation
      operationId: get_scan_representation_api_scans__scan_id__representation_get
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            title: Scan Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScanRepresentationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScanRepresentationResponse:
      properties:
        scan_id:
          type: string
          title: Scan Id
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        classes:
          items:
            type: string
          type: array
          title: Classes
        issue_types:
          items:
            type: string
          type: array
          title: Issue Types
        points:
          items:
            $ref: '#/components/schemas/RepresentationPoint'
          type: array
          title: Points
        default_view:
          type: string
          title: Default View
          default: explainer
        views:
          additionalProperties:
            $ref: '#/components/schemas/ScanRepresentationView'
          type: object
          title: Views
        metadata:
          type: object
          title: Metadata
      type: object
      required:
        - scan_id
      title: ScanRepresentationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RepresentationPoint:
      properties:
        id:
          type: string
          title: Id
        filepath:
          type: string
          title: Filepath
        given_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Label
        predicted_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        issue_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type
        issue_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Label
        is_issue:
          type: boolean
          title: Is Issue
          default: false
        x:
          type: number
          title: X
        'y':
          type: number
          title: 'Y'
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
      type: object
      required:
        - id
        - filepath
        - x
        - 'y'
      title: RepresentationPoint
    ScanRepresentationView:
      properties:
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        points:
          items:
            $ref: '#/components/schemas/RepresentationPoint'
          type: array
          title: Points
        metadata:
          type: object
          title: Metadata
      type: object
      title: ScanRepresentationView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````